### Struct

# FwupdPlugin StructEdid

#### Description

    struct FuStructEdid {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf:` `guint8`

  No description available.

`refcount:` `guint`

  No description available.

#### Functions

###### fu_struct_edid_new

No description available.

###### fu_struct_edid_parse_stream

No description available.

#### Instance methods

###### fu_struct_edid_get_checksum

No description available.

###### fu_struct_edid_get_data_blocks

No description available.

###### fu_struct_edid_get_extension_block_count

No description available.

###### fu_struct_edid_get_manufacturer_name

No description available.

###### fu_struct_edid_get_product_code

No description available.

###### fu_struct_edid_get_revision_number

No description available.

###### fu_struct_edid_get_serial_number

No description available.

###### fu_struct_edid_get_week_of_manufacture

No description available.

###### fu_struct_edid_get_year_of_manufacture

No description available.

###### fu_struct_edid_ref

No description available.

###### fu_struct_edid_set_checksum

No description available.

###### fu_struct_edid_set_data_blocks

No description available.

###### fu_struct_edid_set_extension_block_count

No description available.

###### fu_struct_edid_set_manufacturer_name

No description available.

###### fu_struct_edid_set_product_code

No description available.

###### fu_struct_edid_set_revision_number

No description available.

###### fu_struct_edid_set_serial_number

No description available.

###### fu_struct_edid_set_week_of_manufacture

No description available.

###### fu_struct_edid_set_year_of_manufacture

No description available.

###### fu_struct_edid_unref

No description available.